Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84036 - xauth can write incomplete .xauth files
Summary: xauth can write incomplete .xauth files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-11 11:23 UTC by Harald Hoyer
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-12 12:47:32 UTC


Attachments (Terms of Use)
patch for xauth (deleted)
2003-02-11 11:24 UTC, Harald Hoyer
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:067 high SHIPPED_LIVE : Updated XFree86 packages provide security and bug fixes 2003-06-25 04:00:00 UTC

Description Harald Hoyer 2003-02-11 11:23:15 UTC
Description of problem:
if low on disk space xauth may write an incomplete .xauth file and deletes the old.

Please apply the attached patch.

Comment 1 Harald Hoyer 2003-02-11 11:24:27 UTC
Created attachment 89989 [details]
patch for xauth

Comment 2 Mike A. Harris 2003-02-11 12:20:05 UTC
Thanks Harald.  Patch added to:

XFree86-4.2.99.901-20030209.2
XFree86-4.2.1-11.1


Comment 3 Mike A. Harris 2003-02-12 12:47:32 UTC
Applied now also to: XFree86-4.1.0-44.mharris.1 locally


Comment 4 Mike A. Harris 2003-05-26 05:08:52 UTC
Backported to both 4.2.1 and 4.1.0 for errata release for all Red Hat Linux
releases currently supported.

Comment 5 Mike A. Harris 2003-07-01 23:21:03 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-067.html



Note You need to log in before you can comment on or make changes to this bug.